Transaction groups + translation with node tool issue

2016-11-25 04:45 AM - Hugo Mercier

Status: Closed

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:2.18.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 23812

Description

A problem arises with the following combination:

- a PostGIS line layer

- "transaction groups" enabled

- multi thread rendering

In this particular case, when trying to displace a segment with the node tool, only one vertex is actually displaced. When disabling the

multi thread rendering, it works fine.

See the picture for illustration.

The node tool edit sends two vertex updates when displacing a line segment. It seems that when the multi thread rendering is enabled, the

second vertex update sends a new geometry based on the initial geometry (not the one after the first vertex update as it should be).

Probably some geometry cache that is not cleared ...

on 2.18 Linux

History

#1 - 2016-11-25 04:45 AM - Hugo Mercier

- File bug_node_tool.jpg added

#2 - 2017-05-01 01:02 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#3 - 2017-09-14 03:20 PM - Regis Haubourg

- Description updated

Is it still true with more recent changes to the node tool?

#4 - 2017-09-14 03:37 PM - Giovanni Manghi

- Status changed from Open to Feedback

#5 - 2018-02-22 01:33 PM - Regis Haubourg

- Status changed from Feedback to Open

2025-04-27 1/2



Still true in QGIS 2.18.16

#6 - 2018-02-22 01:37 PM - Regis Haubourg

Master not affected with full vertex editor refactor. The fix is only for QGIS2 then

#7 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
